[Rubycocoa-devel 1414] Re: RubyCocoa in Snow Leopard

Back to archive index

Gideon King gideo****@novam*****
Fri Sep 4 15:42:04 JST 2009


I'm afraid my approach was a bit more of an empirical one - we had  
been getting random seeming crash reports something like this (the top  
one was more frequent). The problem still exists on Snow Leopard. We  
had a number of users trying the new framework, just a standard  
download from the site, and none of them have reported any crashes  
since then. We have therefore bundled the new framework with our app  
now. I did not try compiling it from source.

0   libSystem.B.dylib             	0x90828e42 __kill + 10
1   libSystem.B.dylib             	0x9089b23a raise + 26
2   libSystem.B.dylib             	0x908a7679 abort + 73
3   libruby.1.dylib               	0x0039ab60 rb_exc_new + 0
4   libruby.1.dylib               	0x0040163f rb_gc_mark_trap_list + 440
5   libSystem.B.dylib             	0x908272bb _sigtramp + 43
6   ???                           	0xffffffff 0 + 4294967295
7   libruby.1.dylib               	0x003a96f6 rb_need_block + 128
8   libruby.1.dylib               	0x003a6e2f rb_eval_string_wrap +  
15784
9   libruby.1.dylib               	0x003a7da7 rb_eval_string_wrap +  
19744
10  libruby.1.dylib               	0x003a882d rb_respond_to + 236
11  libruby.1.dylib               	0x003a8916 rb_funcall + 33
12  libruby.1.dylib               	0x003bbc96 rb_hash_aref + 83
13  com.apple.rubycocoa           	0x0037b7ee  
eval_ruby_program_for_class + 286
14  com.apple.AppKit              	0x9325bfa6 -[NSWindowController  
windowNibPath] + 102
15  com.apple.AppKit              	0x9325be32 -[NSWindowController  
loadWindow] + 68
16  com.apple.AppKit              	0x9325bc72 -[NSWindowController  
window] + 86
17  com.apple.AppKit              	0x9325bb9a -[NSWindowController  
showWindow:] + 45


0   libSystem.B.dylib             	0x931b5972 __kill + 10
1   libSystem.B.dylib             	0x931b5964 kill$UNIX2003 + 32
2   libSystem.B.dylib             	0x93248ba5 raise + 26
3   libSystem.B.dylib             	0x9325ec5c abort + 93
4   libruby.1.dylib               	0x004d158f rb_sys_fail + 0
5   libruby.1.dylib               	0x005398b5 rb_trap_restore_mask + 248
6   libSystem.B.dylib             	0x931babfb _sigtramp + 43



Regards

Gideon King
NovaMind Software
Mind Mapping at its best
NovaMind
NovaMind Connect
HubPages Squidoo

Be my friend on: LinkedIn FaceBook Twitter

Learning from Experts
Drinking Health




On 04/09/2009, at 3:12 PM, Nava Carmon wrote:

> Thanks Gideon for answering.
>
> Another couple of questions (I'm apologize on amount :)):
>
> 1. Did you download the installation pkg of 1.1.0 or .tar and built it
> by yourself?
> 2. If you built it, did you use the 4.2 compiler?
> 3. 0.13.2 crashes in the method lookup when it enters an indefinite
> loop, which is a bug.
> The proper way it should work - throw an exception with the missing
> method name, so the question is whether this version if still  
> supported?
> 4. I saw somewhere, that if manually compiled 0.13.2 can work with
> Snow Leopard. Did you try it?
>
> Thank you again,
>
> Nava
>
> On Sep 4, 2009, at 6:00 AM, rubycocoa-devel-
> reque****@lists***** wrote:
>
>> Send Rubycocoa-devel mailing list submissions to
>> 	rubyc****@lists*****
>>
>> To subscribe or unsubscribe via the World Wide Web, visit
>> 	http://lists.sourceforge.jp/mailman/listinfo/rubycocoa-devel
>> or, via email, send a message with subject or body 'help' to
>> 	rubyc****@lists*****
>>
>> You can reach the person managing the list at
>> 	rubyc****@lists*****
>>
>> When replying, please edit your Subject line so it is more specific
>> than "Re: Contents of Rubycocoa-devel digest..."
>>
>>
>> Today's Topics:
>>
>>  1. [Rubycocoa-devel 1411]  RubyCocoa in Snow Leopard (Nava Carmon)
>>  2. [Rubycocoa-devel 1412] Re: RubyCocoa in Snow Leopard (Gideon
>> King)
>>
>>
>> ----------------------------------------------------------------------
>>
>> Message: 1
>> Date: Thu, 03 Sep 2009 16:12:00 +0300
>> From: Nava Carmon <ncarm****@mac*****>
>> Subject: [Rubycocoa-devel 1411]  RubyCocoa in Snow Leopard
>> To: rubyc****@lists*****
>> Message-ID: <389D7****@mac*****>
>> Content-Type: text/plain; charset=US-ASCII; format=flowed; delsp=yes
>>
>> Hi,
>>
>> Does version 0.13.2 of RubyCocoa support Snow Leopard? My Leopard
>> project uses 0.13.2 and i have to migrate to Snow Leopard.
>> I downloaded 1.1.0, built it and integrated to the project. The
>> application crashes in the very beginning.
>>
>> The crash log i see says /Users/bill/.../MyApp.app/Content/ 
>> Frameworks/
>> RubyCocoa.framework/Resources/ruby/osx/objc/oc_wrapper.rb:50 [BUG]
>> Segmentation fault
>>
>> I compiled the RubyCocoa.xcodeproj with GCC 4.2, my project is
>> compiled with 4.2 either.
>> Please help me understand what the problem might be.
>>
>> Thanks,
>>
>> Nava
>>
>>
>>
>> ------------------------------
>>
>> Message: 2
>> Date: Fri, 4 Sep 2009 07:13:19 +1000
>> From: Gideon King <gideo****@novam*****>
>> Subject: [Rubycocoa-devel 1412] Re: RubyCocoa in Snow Leopard
>> To: rubyc****@lists*****
>> Message-ID: <73289****@novam*****>
>> Content-Type: text/plain; charset=us-ascii; format=flowed; delsp=yes
>>
>> I had some issues with 0.13.2 on all systems - caused crashes at
>> places where it wasn't even called, but still seemed to be triggered
>> in a method lookup. I'm currently testing v1.0.0, and that seems to  
>> be
>> running fine for me in Leopard and Snow Leopard. I have about half a
>> dozen users testing it right now, and no more crashes. Didn't know
>> about 1.1.0 - doesn't appear to be on the normal downloads page...
>>
>> HTH
>>
>>
>>
>> On 03/09/2009, at 11:12 PM, Nava Carmon wrote:
>>
>>> Hi,
>>>
>>> Does version 0.13.2 of RubyCocoa support Snow Leopard? My Leopard
>>> project uses 0.13.2 and i have to migrate to Snow Leopard.
>>> I downloaded 1.1.0, built it and integrated to the project. The
>>> application crashes in the very beginning.
>>>
>>> The crash log i see says /Users/bill/.../MyApp.app/Content/
>>> Frameworks/
>>> RubyCocoa.framework/Resources/ruby/osx/objc/oc_wrapper.rb:50 [BUG]
>>> Segmentation fault
>>>
>>> I compiled the RubyCocoa.xcodeproj with GCC 4.2, my project is
>>> compiled with 4.2 either.
>>> Please help me understand what the problem might be.
>>>
>>> Thanks,
>>>
>>> Nava
>>>
>>> _______________________________________________
>>> Rubycocoa-devel mailing list
>>> Rubyc****@lists*****
>>> http://lists.sourceforge.jp/mailman/listinfo/rubycocoa-devel
>>
>>
>>
>> ------------------------------
>>
>> _______________________________________________
>> Rubycocoa-devel mailing list
>> Rubyc****@lists*****
>> http://lists.sourceforge.jp/mailman/listinfo/rubycocoa-devel
>>
>>
>> End of Rubycocoa-devel Digest, Vol 57, Issue 2
>> **********************************************
>
> _______________________________________________
> Rubycocoa-devel mailing list
> Rubyc****@lists*****
> http://lists.sourceforge.jp/mailman/listinfo/rubycocoa-devel

-------------- next part --------------
An HTML attachment was scrubbed...
Download 



More information about the Rubycocoa-devel mailing list
Back to archive index